Not able to upgrade Ubuntu release

Veröffentlicht von philipp am

With the release of Ubuntu 20.02 LTS (Focal Fossa) my current Ubuntu server running 19.04 Disco Dingo did not receive updates anymore – Time to upgrade.
So I connected to my server using SSH and entered the command

sudo do-release-upgrade

which failed with the error:

Failed to connect to https://changelogs.ubuntu.com/meta-release. Check your Internet connection or proxy settings

After searching google for some hours and trying lots of possible solutions I found a thread about this error on stackoverflow I guess, where one guy suggested to have a look on the ubuntu changelog meta-release page from where the „do-release-upgrade“-skript gets its infos from.
The page shows all releases beginning from 2004 to the last one now. In my case I wanted to upgrade straight from 19.04 to 20.04 by downloading the „UpgradeTool“ linked in the Focal Fossa block. Sadly the update process didn’t even start but stopped with an error message alike „You cannot directly upgrade from the current release to 20.04„.

OK. So then I tried upgrading my server step by step: First upgrade 19.04 to 19.10, then upgrade 19.10 to 20.04. Here is how I managed to get my server to 20.04:

  1. I copied the URL in the „UpgradeTool“ line of the release I wanted listed on changelog.ubuntu.com
  2. Downloaded the content of the URL using
wget http://archive.ubuntu.com/ubuntu/dists/focal-updates/main/dist-upgrader-all/current/focal.tar.gz

3. Unpacked the downloaded archive

tar xvf focal.tar.gz

4. Ran the upgrade tool and entered my admin password

sudo ./focal

At first the upgrade tool immediately failed with an error

Gtk error

This problem was easily solved. I opened the file DistUpgrade.cfg replaced the line „View=DistUpgradeViewGtk3,DistUpgradeViewKDE,DistUpgradeViewText“ with „View=DistUpgradeViewText„:

Afterwards I started the upgrade tool again and it upgraded my server to 20.04.


0 Kommentare

Schreibe einen Kommentar

Avatar-Platzhalter

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert